<?php

/**
 * @file
 * Admin page callbacks for the site language views filter module.
 */

/**
 * Administration settings form.
 *
 * @see system_settings_form()
 */
function i18n_views_filterbylanguage_settings_form(&$form_state) {
  $form = array();

  drupal_add_js(drupal_get_path('module', 'i18n_views_filterbylanguage') . '/js/i18n_views_filterbylanguage.js');

  $views = views_get_all_views();

  foreach ($views as $view_name => $view) {
    if ($view->base_table == 'node') {
        $default = variable_get("display_$view_name", array());
        $num = array_count_values($default);

        if (!empty($num) && !isset($num[0])) { // All checkboxes selected
          $string = t('All displays selected');
        }
        else if (empty($nume) || $num[0] == count($default)) {
          $string = t('No selected displays');
        }
        else {
          $string = t('@num displays selected', array('@num' => count($default) - $num[0]));
        }
        $form[$view_name] = array(
          '#type' => 'fieldset',
          '#title' => $view_name . " ($view->description) - $string",
          '#collapsible' => TRUE,
          '#collapsed' => TRUE,
        );
        $form[$view_name]["display_$view_name"] = array(
         '#type' => 'checkboxes',
         '#title' => t('Displays of view %view_name', array('%view_name' => $view_name)),
         '#description' => t('Select those displays of view %view_name whose results will not be filtered by the site language.',
              array('%view_name' => $view_name)),
         '#default_value' => $default,
         '#options' => array('all' => t('Select all displays')),
       );
       foreach ($view->display as $display_name => $display) {
         $form[$view_name]["display_$view_name"]['#options'][$display_name] = $display->display_title . " - $display_name";
       }
    }
  }

  $form = system_settings_form($form);
  $form['#theme'] = 'i18n_views_filterbylanguage_form';

  return $form;
}
